#ifndef CONTRASTDIALOG_H
#define CONTRASTDIALOG_H

#include "contrastdialogbase.h"
#include <valarray>

class ContrastDialog : public ContrastDialogBase {
	Q_OBJECT
	public:
		ContrastDialog(QWidget* parent) : ContrastDialogBase(parent) {}
	signals:
		void curveChanged(std::valarray<int>);
	protected:
		void calcCurve();
		void showEvent(QShowEvent* ev);
};

#endif
